# This is just a simple way to cleanly keep track of a set of
# parameterized strings for a specific database.  It's used by
# DBIAccessor.

class MySQLQueries
	@@QUERY_STRINGS = {
'lookupLastInsert'   => 'SELECT * FROM ? WHERE record_id=LAST_INSERT_ID()',
'lookupByAttributes' => 'SELECT * FROM %table WHERE %where',
'lookupByTypeAndID'  => 'SELECT * FROM ? WHERE record_id=?',
'lookupByRandom'     => 'SELECT * FROM ? ORDER BY RAND() LIMIT 1',
'lookupByRandomAndModifier'     => 'SELECT * FROM ? ORDER BY RAND() LIMIT 1 %modifier',
'listByType'         => 'SELECT * FROM ?',
'listByTypeAndModifier' => 'SELECT * FROM ? %modifier',
'countByType'        => 'SELECT COUNT(*) FROM ?',
'countByTypeAndModifier'=> 'SELECT COUNT(*) FROM ? %modifier',
'insert'             => 'INSERT INTO %table (%argnames) VALUES (%valholders)',
'update'             => 'REPLACE INTO %table (%argnames) VALUES (%valholders)',
'delete'             => 'DELETE FROM %table WHERE %where',
	}
	def MySQLQueries.queryStrings() @@QUERY_STRINGS end
end
